Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

Currently, reminder.rake does not ignore blank parameters and it causes unexpected behavior.

Assume the following command line that invokes email reminder. I expect that trackers= in the command line should be ignored and

reminder behaves as if no parameters are given. But actually, it is treated as trackers=0.

bin/rake redmine:send_reminders trackers=

 The attached patch fixes the behavior.

Associated revisions

Revision 18226 - 2019-06-05 11:20 - Go MAEDA

reminder.rake should ignore blank parameters (#31501).

Patch by Go MAEDA.

History

#1 - 2019-06-04 03:41 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#2 - 2019-06-05 11:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix.
